When creating a page via tags, the copied blocks have the wrong text for the tags

Bug #1839223 reported by Cecilia Vela Gurovic on 2019-08-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Lisa Seeto
18.10
High
Unassigned
19.04
High
Unassigned
19.10
High
Lisa Seeto

Bug Description

to test on master
- have an institution with institution tags enabled and create the institution tag "copy"
- login as a member of the institution
- create a page with a block and set the tag to the institution tag "copy", e.g. "Institution 1: copy"
- create another page and set the field "Create via tags" to "Institution 1: copy"
- save the view and check the block was copied to the new page
- click on the configure block button

expected result: the block has a tag "Institution 1: copy"
actual result: the block has a number as a tag that corresponds to the id of the tag on the db

Changed in mahara:
milestone: none → 19.10.0
importance: Undecided → High
Changed in mahara:
status: New → Confirmed
description: updated

This may be looked at along with bug #1824263

Lisa Seeto (lisaseeto) on 2019-09-09
Changed in mahara:
assignee: nobody → Lisa Seeto (lisaseeto)
Lisa Seeto (lisaseeto) on 2019-09-09
Changed in mahara:
status: Confirmed → In Progress
Rangi Daymond (rangid) on 2019-09-17
description: updated
Rangi Daymond (rangid) wrote :

Launchpad/Bug: https://bugs.launchpad.net/mahara/+bug/1839223
Gerrit/Patchset: https://reviews.mahara.org/#/c/10325/
Mahara Environment: my Ubuntu VM
Browser tested: Firefox & Chrome
Theme used: Default

**TEST SCENARIO: Verify that when creating a page via tags, the copied blocks have the correct text for both institution and user tags
(please see attached pre-fix defect screenshots prefixed with SS1-1 and SS1-2).
--------------

**PRECONDITIONS:
---------------
1) An institution 'Institution one' exists with an institution tag named 'copy' i.e. "Institution one: copy"
2) User1 is a member of the above institute and has previously tagged:
   2a) some page blocks with the user tag "fruit" (2 items - see screenshot prefixed with SS2)
   2b) some page blocks with the "Institution one: copy" tag (2 items - see screenshot prefixed with SS2)
   2c) at least one page block with BOTH the institute and the user tags (1 item - see screenshot prefixed with SS2)

**TEST STEPS:
-------------
a) Regression test user tag
Step 1) Logged in user1 selects to create a new page --> the new page screen is displayed
Step 2) User1 sets the field "Create via tags" to "fruit" then user saves the page and views it
Expected result 2: the page is displayed with the tag "fruit" and the correct items are present
Actual result2: as expected (see attachment prefixed with SS3) ✓

b) Test fix of Institution tag
Step 3) User1 selects to create a new page --> the new page screen is displayed
Step 4) User1 sets the field "Create via tags" to "Institution one: copy" then user saves the page and views it
Expected result 4: the page is displayed with the tag "Institution one: copy" and the correct items are present
Actual result4: as expected (see attachment prefixed with SS4) ✓
Note: other user tags are also displayed as they were included with the institution tag on one of the blocks.

c) Regression test combined tag use
Step 5) User1 selects to create a new page --> the new page screen is displayed
Step 6) User1 sets the field "Create via tags" to contain both "Institution one: copy" & "fruit" then user saves the page and views it
Expected result 6: the page is displayed with both tags "Institution one: copy" and the correct items are present
Actual result6: as expected (see attachment prefixed with SS5) ✓

Reviewed: https://reviews.mahara.org/10325
Committed: https://git.mahara.org/mahara/mahara/commit/1ea01a3698b7ef28f4496e31a45e5d230a98e837
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 1ea01a3698b7ef28f4496e31a45e5d230a98e837
Author: Lisa Seeto <email address hidden>
Date: Tue Sep 10 13:18:43 2019 +1200

Bug 1839223: When creating a page via tags, the copied blocks have the wrong text for the tags

when creating a block, run through all the tags and if
they match institution style tag, then construct the tag
with the institution display name and the tag.

behatnotneeded

Change-Id: If6b92d1c2d993368f057f1b6c71354ce6d8cbb3c
Signed-off-by: Lisa Seeto <email address hidden>

Robert Lyon (robertl-9) on 2019-09-18
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/10358
Committed: https://git.mahara.org/mahara/mahara/commit/d45ff094c6910c4c6f377828a5d39977776709e2
Submitter: Robert Lyon (<email address hidden>)
Branch: 19.04_STABLE

commit d45ff094c6910c4c6f377828a5d39977776709e2
Author: Lisa Seeto <email address hidden>
Date: Tue Sep 10 13:18:43 2019 +1200

Bug 1839223: When creating a page via tags, the copied blocks have the wrong text for the tags

when creating a block, run through all the tags and if
they match institution style tag, then construct the tag
with the institution display name and the tag.

behatnotneeded

Change-Id: If6b92d1c2d993368f057f1b6c71354ce6d8cbb3c
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 1ea01a3698b7ef28f4496e31a45e5d230a98e837)

Reviewed: https://reviews.mahara.org/10359
Committed: https://git.mahara.org/mahara/mahara/commit/d8dea171ee9ef035d2e9f4f1aa5717c48015166b
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.10_STABLE

commit d8dea171ee9ef035d2e9f4f1aa5717c48015166b
Author: Lisa Seeto <email address hidden>
Date: Tue Sep 10 13:18:43 2019 +1200

Bug 1839223: When creating a page via tags, the copied blocks have the wrong text for the tags

when creating a block, run through all the tags and if
they match institution style tag, then construct the tag
with the institution display name and the tag.

behatnotneeded

Change-Id: If6b92d1c2d993368f057f1b6c71354ce6d8cbb3c
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 1ea01a3698b7ef28f4496e31a45e5d230a98e837)
(cherry picked from commit d45ff094c6910c4c6f377828a5d39977776709e2)

To post a comment you must log in.